package nft.buy;

import common.Constant;
import common.Resp;
import config.Config;
import exception.ZXChainException;
import util.HttpUtil;
import util.Tools;
import util.ZxlSDKUtil;

public class QueryStatusUpdateResult {
    String platformPubKey;
    String taskId;

    public QueryStatusUpdateResult() {
    }

    public QueryStatusUpdateResult(String taskId) {
        this.taskId = taskId;
    }

    public StatusUpdateResult query() throws Exception {
        this.setPlatformPubKey(Config.platformPubKey);

        Resp resp = HttpUtil.apiGetJsonX(Config.baseUrl + "/api/v1/nft/status/update/result", Tools.getJson(this), ZxlSDKUtil.generateApiSign());
        if (resp.getRetCode() != Constant.ZXL_OK) {
            throw new ZXChainException(resp.getRetMsg());
        }

        return resp.getData(StatusUpdateResult.class);
    }

    public String getPlatformPubKey() {
        return platformPubKey;
    }

    public void setPlatformPubKey(String platformPubKey) {
        this.platformPubKey = platformPubKey;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
}
